Bug 604660 - vmmouse_detect unexpected exit with status 0x000b
vmmouse_detect unexpected exit with status 0x000b
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmmouse (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 08:57 EDT by Jóhann B. Guðmundsson
Modified: 2018-04-11 05:59 EDT (History)
12 users (show)

See Also:
Fixed In Version: xorg-x11-drv-vmmouse-12.6.9-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 14:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Novell patch (772 bytes, patch)
2010-06-18 13:30 EDT, Matěj Cepl
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 604966 None None None Never

  None (edit)
Description Jóhann B. Guðmundsson 2010-06-16 08:57:24 EDT
Description of problem:

At boot up when udev starts it complains.. 

Starting udev: 'udevd-work[443] /usr/bin/vmmouse_detect' unexpected exit status 0x000b

udevd-work[434] '/usr/bin/vmmouse_detect' unexpected exit status 0x000b

Not sure if you notice but the udevd-work numbers differ [434] and [443] so you might actually be dealing with the unexpected exit status happening twice. 

Not sure if it's relevant but I have systemd installed 

Version-Release number of selected component (if applicable):

12.6.9-2.fc14.i686

How reproducible:

Always

Steps to Reproduce:
1. Boot press esc watch the output.
2.
3.
  
Actual results:

The above error

Expected results:

No error

Additional info:

Might be related to..

* Fri Apr 09 2010 Peter Hutterer <peter.hutterer@redhat.com> 12.6.9-1
- vmmouse 12.6.9, installs udev rules and xorg.conf.d snippets
- Require xserver 1.7.99.1 or later and udev.
Comment 1 Michel Dänzer 2010-06-18 11:37:57 EDT
See https://bugzilla.novell.com/show_bug.cgi?id=604966 , Debian/Ubuntu already had essentially the same patch as attached there 'in order to make it work in KVM'.

Hopefully consensus can be reached how to fix this upstream, rather than every distro patching the driver...
Comment 2 Matěj Cepl 2010-06-18 13:30:14 EDT
Created attachment 425197 [details]
Novell patch
Comment 3 Eddie Lania 2010-06-21 15:19:41 EDT
On F13 I also see this:

xorg-x11-drv-mouse-1.5.0-4.fc13.i686

Starting udev: udevd-work[442]: '/usr/bin/vmmouse_detect' unexpected exit with status 0x000b
udevd-work[457]: '/usr/bin/vmmouse_detect' unexpected exit with status 0x000b
Comment 4 Andrea Oliveti 2010-06-23 04:20:57 EDT
On Fedora 13 with xf86-input-vmmouse 12.6.9:

Package:
Name       : xorg-x11-drv-mouse
Arch       : i686
Version    : 1.5.0
Release    : 4.fc13

At boot:

Starting udev: udevd-work[525]: '/usr/bin/vmmouse_detect' unexpected exit with status 0x000b

udevd-work[531]: '/usr/bin/vmmouse_detect' unexpected exit with status 0x000b
Comment 5 Ralf Corsepius 2010-06-29 05:29:21 EDT
/me too.

Fedora 13/x86_64 with xorg-x11-drv-vmmouse-12.6.9-2.fc13.x86_64

udevd-work[607]: '/usr/bin/vmmouse_detect' unexpected exit with status 0x000b
udevd-work[610]: '/usr/bin/vmmouse_detect' unexpected exit with status 0x000b
Comment 6 Fedora Update System 2010-06-30 19:18:47 EDT
xorg-x11-drv-vmmouse-12.6.9-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-vmmouse-12.6.9-4.fc13
Comment 7 Fedora Update System 2010-07-01 14:56:54 EDT
xorg-x11-drv-vmmouse-12.6.9-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-vmmouse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-vmmouse-12.6.9-4.fc13
Comment 8 Fedora Update System 2010-07-08 14:28:51 EDT
xorg-x11-drv-vmmouse-12.6.9-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Federic 2010-09-15 17:00:11 EDT
new F13 installation done from xfce spin, seeing same issue.
Comment 10 Peter Hutterer 2010-11-02 01:32:15 EDT
which version of xorg-x11-drv-vmmouse do you have?

Note You need to log in before you can comment on or make changes to this bug.